%global momorel   4
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages/lisp
%global confsamp  %{_datadir}/config-sample
%global elispname   tdtd
%global srcver      071

Summary: Major mode for editing SGML and XML DTDs.
Name: elisp-%{elispname}
Version: 0.7.1
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://www.menteith.com/tdtd/

%NoSource 0 http://www.menteith.com/%{elispname}/data/%{elispname}%{srcver}.zip 63960f6fc4f08089f1fa144a583d37fb
Requires: emacsen
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
BuildPreReq: unzip

%description
This package contains an emacs major mode for editing SGML and XML DTDs.

%package -n %{elispname}-emacs
Summary: Major mode for editing SGML and XML DTDs on emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n %{elispname}-emacs
This package contains an emacs major mode for editing SGML and XML DTDs.

%package -n %{elispname}-xemacs
Summary: Major mode for editing SGML and XML DTDs on XEmacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo

%description -n %{elispname}-xemacs
This package contains an XEmacs major mode for editing SGML and XML DTDs.

%prep
%setup -q -c -n %{elispname}-%{version}
%{__mkdir} emacs

%build
### for emacs
for f in *.el;
  do emacs -batch -q -no-site-file -eval "(add-to-list 'load-path \".\")" \
    -f batch-byte-compile $f
done
%{__mv} *.elc  emacs/

### for xemacs
for f in *.el;
  do xemacs -batch -q -no-site-file -eval "(add-to-list 'load-path \".\")" \
    -f batch-byte-compile $f
done

%install
test -d %{buildroot} && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{e_sitedir}/%{elispname}
%{__install} -m 0644 *.el %{buildroot}%{e_sitedir}/%{elispname}
%{__install} -m 0644 emacs/*elc %{buildroot}%{e_sitedir}/%{elispname}


%{__mkdir_p} %{buildroot}%{sitepdir}/%{elispname}
%{__install} -m 0644 *.el %{buildroot}%{sitepdir}/%{elispname}
%{__install} -m 0644 *.elc %{buildroot}%{sitepdir}/%{elispname}

%{__mkdir_p} %{buildroot}%{confsamp}/%{name}
%{__install} -m 0644 dot_emacs %{buildroot}%{confsamp}/%{name}/%{elispname}.dot.emacs


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt TODO readme.txt tutorial.txt
%{confsamp}/%{name}/*.dot.emacs

%files -n %{elispname}-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/%{elispname}
%{e_sitedir}/%{elispname}/*.el*

%files -n %{elispname}-xemacs
%defattr(-,root,root)
%dir %{sitepdir}/%{elispname}
%{sitepdir}/%{elispname}/*.el*

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.1-4m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-3m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.7.1-2m)
- rebuild against emacs-21.3.50

* Sun Sep 21 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.7.1-1m)
- first import for momonga.
